Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.component
Interface Component

All Known Subinterfaces:
  DataType, Field, Message, Segment

All Known Implementing Classes:
  ACK, ERR, GenericComponentImpl, GenericDataTypeImpl, GenericFieldImpl, GenericMessageImpl, GenericSegmentImpl, MSA, MSH, SFT

    public interface Component

This interface represents a common HL7 component structure, which can be Message, Segment, Field and DataType.

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2005/09/03 06:28:36 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.lang.String` | `getContent()` Method getContent.
`Message` | `getMessage()` Method getMessage.
`java.lang.String` | `getName()` Method getName.
`void` | `marshal()` Method marshal.
`void` | `setContent(java.lang.String content)` Method setContent.
`void` | `setName(java.lang.String name)` Method setName.
`java.lang.String` | `toXMLString(ComponentSpec componentSpec)` Method toXMLString.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Method getName. For DataType, the name should be the data type name (e.g. "AD", "CD", "VID", etc). For Field, the name should be the field name (e.g. "Sending Application", "Version ID", etc). For Segment, the name should be the segment name (e.g. "MSH", "MSA", "ERR", etc). For Message, the name should be the message type name (e.g. "ACK", "ADT", etc).

  Returns:
    String

### getContent

    java.lang.String getContent()

  Method getContent. The content is the string representation of the data.

  Returns:
    String

### setName

    void setName(java.lang.String name)
                 throws HL7ApplicationException

  Method setName.

  Parameters:
    `name` -
  Throws:
    `HL7ApplicationException`

### setContent

    void setContent(java.lang.String content)
                    throws HL7ApplicationException

  Method setContent.

  Parameters:
    `content` -
  Throws:
    `HL7ApplicationException`

### marshal

    void marshal()
                 throws HL7ApplicationException

  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Throws:
    `HL7ApplicationException`

### unmarshal

    void unmarshal()
                   throws HL7ApplicationException

  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Throws:
    `HL7ApplicationException`

### getMessage

    Message getMessage()

  Method getMessage.

  Returns:
    Message

### validate

    void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Parameters:
    `componentSpec` -
  Throws:
    `HL7ApplicationException`

### toXMLString

    java.lang.String toXMLString(ComponentSpec componentSpec)
                                 throws HL7ApplicationException

  Method toXMLString.

  Parameters:
    `componentSpec` -
  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD